# VecRestoreArray1d

Restores a vector after VecGetArray1d() has been called.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecRestoreArray1d(Vec x,PetscInt m,PetscInt mstart,PetscScalar *a[])

Not Collective

### Input Parameters

| x | - the vector
| m | - first dimension of two dimensional array
| mstart | - first index you will use in first coordinate direction (often 0)
| a | - location of pointer to array obtained from VecGetArray21()

### Notes

For regular PETSc vectors this routine does not involve any copies. For any special vectors that do not store local vector data in a contiguous array, this routine will copy the data back into the underlying vector data structure from the array obtained with VecGetArray1d().

This routine actually zeros out the a pointer.

### See Also

VecGetArray(), VecRestoreArray(), VecRestoreArrays(), VecRestoreArrayF90(), VecPlaceArray(),
VecGetArray2d(), VecGetArray3d(), VecRestoreArray3d(), DAVecGetArray(), DAVecRestoreArray() VecGetArray1d(), VecRestoreArray2d(), VecGetArray4d(), VecRestoreArray4d()

Level:developer
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages